# Portable Binary Input/Ouput

## Functions

Lib3dsByte | lib3ds_byte_read (FILE *f)
Lib3dsDword | lib3ds_dword_read (FILE *f)
Lib3dsIntb | lib3ds_intb_read (FILE *f)
Lib3dsIntw | lib3ds_intw_read (FILE *f)
Lib3dsIntd | lib3ds_intd_read (FILE *f)
Lib3dsFloat | lib3ds_float_read (FILE *f)
Lib3dsBool | lib3ds_rgb_read (Lib3dsRgb rgb, FILE *f)
Lib3dsBool | lib3ds_string_read (char *s, int buflen, FILE *f)
Lib3dsBool | lib3ds_byte_write (Lib3dsByte b, FILE *f)
Lib3dsBool | lib3ds_word_write (Lib3dsWord w, FILE *f)
Lib3dsBool | lib3ds_dword_write (Lib3dsDword d, FILE *f)
Lib3dsBool | lib3ds_intb_write (Lib3dsIntb b, FILE *f)
Lib3dsBool | lib3ds_intw_write (Lib3dsIntw w, FILE *f)
Lib3dsBool | lib3ds_intd_write (Lib3dsIntd d, FILE *f)
Lib3dsBool | lib3ds_float_write (Lib3dsFloat l, FILE *f)
Lib3dsBool | lib3ds_rgb_write (Lib3dsRgb rgb, FILE *f)
Lib3dsBool | lib3ds_string_write (const char *s, FILE *f)

## Detailed Description

Author:
  J.E. Hoffmann <je-h@gmx.net>

## Function Documentation

Lib3dsByte lib3ds_byte_read | ( | FILE * | f | ) |

Read a byte from a file stream.

Parameters:

  | f | Input file stream.

Returns:
  The byte read.

Lib3dsBool lib3ds_byte_write | ( | Lib3dsByte | b,
|  | FILE * | f
| ) |

Writes a byte into a file stream.

Parameters:

  | b | The byte to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsDword lib3ds_dword_read | ( | FILE * | f | ) |

Read a dword from file a stream in little endian format.

Parameters:

  | f | Input file stream.

Returns:
  The dword read.

Lib3dsBool lib3ds_dword_write | ( | Lib3dsDword | d,
|  | FILE * | f
| ) |

Writes a dword into a little endian file stream.

Parameters:

  | d | The dword to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsFloat lib3ds_float_read | ( | FILE * | f | ) |

Read a float from a file stream in little endian format.

Parameters:

  | f | Input file stream.

Returns:
  The float read.

Lib3dsBool lib3ds_float_write | ( | Lib3dsFloat | l,
|  | FILE * | f
| ) |

Writes a float into a little endian file stream.

Parameters:

  | f | The float to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsIntb lib3ds_intb_read | ( | FILE * | f | ) |

Read a signed byte from a file stream.

Parameters:

  | f | Input file stream.

Returns:
  The signed byte read.

Lib3dsBool lib3ds_intb_write | ( | Lib3dsIntb | b,
|  | FILE * | f
| ) |

Writes a signed byte in a file stream.

Parameters:

  | b | The signed byte to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsIntd lib3ds_intd_read | ( | FILE * | f | ) |

Read a signed dword a from file stream in little endian format.

Parameters:

  | f | Input file stream.

Returns:
  The signed dword read.

Lib3dsBool lib3ds_intd_write | ( | Lib3dsIntd | d,
|  | FILE * | f
| ) |

Writes a signed dword into a little endian file stream.

Parameters:

  | d | The signed dword to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsIntw lib3ds_intw_read | ( | FILE * | f | ) |

Read a signed word from a file stream in little endian format.

Parameters:

  | f | Input file stream.

Returns:
  The signed word read.

Lib3dsBool lib3ds_intw_write | ( | Lib3dsIntw | w,
|  | FILE * | f
| ) |

Writes a signed word into a little endian file stream.

Parameters:

  | w | The signed word to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsBool lib3ds_rgb_read | ( | Lib3dsRgb | rgb,
|  | FILE * | f
| ) |

Lib3dsBool lib3ds_rgb_write | ( | Lib3dsRgb | rgb,
|  | FILE * | f
| ) |

Lib3dsBool lib3ds_string_read | ( | char * | s,
|  | int | buflen,
|  | FILE * | f
| ) |

Read a zero-terminated string from a file stream.

Parameters:

  | s | The buffer to store the read string.
  | buflen | Buffer length.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsBool lib3ds_string_write | ( | const char * | s,
|  | FILE * | f
| ) |

Writes a zero-terminated string into a file stream.

Parameters:

  | f | The float to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.

Lib3dsBool lib3ds_word_write | ( | Lib3dsWord | w,
|  | FILE * | f
| ) |

Writes a word into a little endian file stream.

Parameters:

  | w | The word to write to the file stream.
  | f | The input file stream.

Returns:
  True on success, False otherwise.